FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 02-15-2010, 01:56 AM
Steve Dibb
 
Default Changes to php-pear-r1.eclass

I'm trying to fix some dependency issues that I introduced into the PHP
PEAR packages when I changed them around with PEAR-PEAR-1.8.1 and above.


If you want the history lesson, basically what happened is that
PEAR-PEAR had been acting as the virtual to install the base PEAR
system, even though PEAR-PEAR is an individual package, so the ebuild
was basically pulling double duty. With 1.8.1 I changed it so
dev-php/pear would act as a virtual, and PEAR-PEAR was now it's own
dependency. It also gave us more flexibility because the PEAR base
install requirements had changed to include packages that were already
separate ebuilds in the tree. So, the choices were either to make them
all separate, or mangle the versions to pull more into the half-virtual
ebuild. Yah.


When I changed it, though, I added dev-php/pear which had a PDEPEND upon
the base PEAR packages. The eclass used to pull in just the PEAR-PEAR
ebuild because that had the entire base system. The newer PEAR-PEAR
ebuilds had a PDEPEND upon dev-lang/pear, so basically all the deps
eventually got around to installing. I'm noticing that that doesn't
work too well, since modules will pull in PEAR-PEAR expecting that to
have the base, but because of PDEPEND, they'll really be pulled in after
the module tries to install, breaking the process.


Which brings me to where I am now ... I'm going to move the DEPENDs into
the pear eclass directly, so that they will always be pulled in. I'm
really cautious about changing eclasses, though, so here's the diff if
anyone would care to check my work. From my testing, it seems to be
pulling the deps in with the correct order now.


Index: php-pear-r1.eclass
================================================== =================
RCS file: /var/cvsroot/gentoo-x86/eclass/php-pear-r1.eclass,v
retrieving revision 1.22
diff -u -b -B -r1.22 php-pear-r1.eclass
--- php-pear-r1.eclass 12 Jan 2009 23:09:02 -0000 1.22
+++ php-pear-r1.eclass 15 Feb 2010 02:54:02 -0000
@@ -19,7 +19,14 @@

EXPORT_FUNCTIONS src_install

-DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.6.1"
+DEPEND="dev-lang/php
+ || ( ( >=dev-php/PEAR-PEAR-1.6.1 <dev-php/PEAR-PEAR-1.8.1 )
+ ( >=dev-php/PEAR-PEAR-1.8.1
+ >=dev-php/PEAR-Archive_Tar-1.3.3
+ >=dev-php/PEAR-Console_Getopt-1.2.3
+ >=dev-php/PEAR-Structures_Graph-1.0.2
+ >=dev-php/PEAR-XML_Util-1.2.1 )
+ )"
RDEPEND="${DEPEND}"

# @ECLASS-VARIABLE: PHP_PEAR_PKG_NAME
 

Thread Tools




All times are GMT. The time now is 01:17 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org